> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# resend



## OpenAPI

````yaml /openapi.yml post /api/v2/paybylink/{orderId}/resend
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/paybylink/{orderId}/resend:
    post:
      tags:
        - Paybylink
      summary: resend
      operationId: api-paybylink-resend
      parameters:
        - name: orderId
          in: path
          description: The unique order identifier that you want to resend.
          schema:
            type: string
            format: guid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResendPaybyLinkRequest'
            examples:
              Request Example:
                $ref: '#/components/examples/ResendPaybyLinkRequestExample'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/ResendPaybyLinkResponseExample'
              schema:
                $ref: '#/components/schemas/ResendPaybyLinkResponse'
      deprecated: false
components:
  schemas:
    ResendPaybyLinkRequest:
      type: object
      properties:
        culture:
          type: string
          nullable: true
          description: >-
            Define the culture (language) you want PaybyLink to be emailed or
            SMS sent to the buyer. If not set, the merchant's language will be
            used as default.
        personId:
          type: integer
          nullable: true
          description: >-
            Identify which merchant is the PaybyLink owner.  If not informed, it
            is inferred by x-api-key, if authentication is via Bearer, its value
            is required. 
          example: 10
        sellerEmailAddress:
          type: string
          description: >-
            This field represents the Paybylink email sender. If not informed
            "no-reply@yourdomain"  will be used as the email. 
        shopperEmailAddress:
          type: string
          nullable: true
          description: >-
            If informed overrides the original shopper email that has been sent
            in PaybyLink creation. 
        shopperFirstName:
          type: string
          nullable: true
          description: >-
            If informed overrides the original shopper first name that has been
            sent in PaybyLink creation.
        shopperLastName:
          type: string
          nullable: true
          description: >-
            If informed overrides the original shopper last name that has been
            sent in PaybyLink creation.
        shopperPhoneCountryCode:
          type: integer
          description: The phone country code.
        shopperPhoneNumber:
          type: string
          nullable: true
          description: >-
            If informed overrides the original shopper phone number that has
            been sent in PaybyLink creation.
    ResendPaybyLinkResponse:
      type: object
      required:
        - paybyLink
        - orderId
      properties:
        paybyLink:
          type: string
          description: The **PaybyLink** URL that be used to proceed with payment.
          example: >-
            https://gateway.paybyrd.com/en-US/hostedform?orderId=e424cabe-aebc-4968-a6d6-d2ef994a87ed
        orderId:
          type: string
          format: guid
          description: >-
            The unique identifier that represents the order that is created by
            the **PaybyLink**.
          example: 24380f18-5ecb-4300-b993-1ff9a62df81f
  examples:
    ResendPaybyLinkRequestExample:
      value:
        sellerEmailAddress: homer@simpsons.com
        shopperEmailAddress: sideshowbob@simpsons.com
        shopperFirstName: Sideshow
        shopperLastName: Bob
    ResendPaybyLinkResponseExample:
      value:
        paybyLink: >-
          https://gateway.paybyrd.com/en-US/hostedform?orderId=e424cabe-aebc-4968-a6d6-d2ef994a87ed
        orderId: 24380f18-5ecb-4300-b993-1ff9a62df81f
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````